Package io.vertx.rxjava3.mysqlclient

## Class MySQLBuilder

- java.lang.Object
- - io.vertx.rxjava3.mysqlclient.MySQLBuilder

- All Implemented Interfaces:
    `io.vertx.lang.rx.RxDelegate`

      public class MySQLBuilder
      extends Object
      implements io.vertx.lang.rx.RxDelegate

  Entry point for building MySQL clients.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<MySQLBuilder>` | `__TYPE_ARG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MySQLBuilder​(MySQLBuilder delegate)` |
    `MySQLBuilder​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ClientBuilder<SqlClient>` | `client()` | Provide a builder for MySQL client backed by a connection pool.
    `static SqlClient` | `client​(Handler<ClientBuilder<SqlClient>> handler)` | Build a client backed by a connection pool with the specified `block` argument.
    `boolean` | `equals​(Object o)` |
    `MySQLBuilder` | `getDelegate()` |
    `int` | `hashCode()` |
    `static MySQLBuilder` | `newInstance​(MySQLBuilder arg)` |
    `static ClientBuilder<Pool>` | `pool()` | Provide a builder for MySQL pool of connections
    `static Pool` | `pool​(Handler<ClientBuilder<Pool>> block)` | Build a pool with the specified `block` argument.
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<MySQLBuilder> __TYPE_ARG

  - ### Constructor Detail

    - #### MySQLBuilder

          public MySQLBuilder​(MySQLBuilder delegate)

    - #### MySQLBuilder

          public MySQLBuilder​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public MySQLBuilder getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### pool

          public static Pool pool​(Handler<ClientBuilder<Pool>> block)

      Build a pool with the specified `block` argument. The `block` argument is usually a lambda that configures the provided builder

      Example usage: `Pool pool = PgBuilder.pool(builder -> builder.connectingTo(connectOptions));`

      Parameters:
        `block` -
      Returns:
        the pool as configured by the code `block`

    - #### pool

          public static ClientBuilder<Pool> pool()

      Provide a builder for MySQL pool of connections

      Example usage: `Pool pool = PgBuilder.pool().connectingTo(connectOptions).build()`

      Returns:

    - #### client

          public static SqlClient client​(Handler<ClientBuilder<SqlClient>> handler)

      Build a client backed by a connection pool with the specified `block` argument. The `block` argument is usually a lambda that configures the provided builder

      Example usage: `SqlClient client = PgBuilder.client(builder -> builder.connectingTo(connectOptions));`

      Parameters:
        `handler` -
      Returns:
        the client as configured by the code `block`

    - #### client

          public static ClientBuilder<SqlClient> client()

      Provide a builder for MySQL client backed by a connection pool.

      Example usage: `SqlClient client = PgBuilder.client().connectingTo(connectOptions).build()`

      Returns:

    - #### newInstance

          public static MySQLBuilder newInstance​(MySQLBuilder arg)